QuickHashIntStringHash::set
Reflection
QuickHashIntStringHash
PHP Manual

# QuickHashIntStringHash::update

(PECL quickhash >= Unknown)

QuickHashIntStringHash::update — Met à jour une entrée de la table de hachage avec une nouvelle valeur

### Description

public bool QuickHashIntStringHash::update ( int `$key` , string `$value` )

Cette méthode met à jour une entrée avec une nouvelle valeur, et retourne le fait que l'entrée a bien été mise à jour ou non. Si il y a des clés dupliquées, seul le premier élément trouvé recevra la valeur mise à jour. Utilisez QuickHashIntStringHash::CHECK_FOR_DUPES lors de la création de la table de hachage pour prévenir les doublons de clés.

### Liste de paramètres

`key`

  La clé de l'entrée à mettre à jour.

`value`

  La nouvelle valeur de l'entrée. Si une non-chaîne est passée, elle sera convertie en une chaîne automatiquement, si possible.

### Valeurs de retour

`TRUE` lorsque l'entrée a été trouvée et mise à jour, et `FALSE` si l'entrée ne fait pas partie de la table de hachage.

### Exemples

Exemple #1 Exemple avec QuickHashIntStringHash::update()

`<?php
$hash->add( 161803398, "--" );
$hash->add( 314159265, "a lot" );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
var_dump( $hash->update( 314159265, "a lot plus one" ) );
var_dump( $hash->update( 314159999, "a lot plus one" ) );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    --
    a lot
    bool(true)
    bool(false)
    --
    a lot plus one

QuickHashIntStringHash::set
Reflection
QuickHashIntStringHash
PHP Manual